### NAME

destroy - Destroy one or more windows

### SYNOPSIS

destroy ?window window ...?

### DESCRIPTION

This command deletes the windows given by the window arguments, plus all of their descendants. If a window ``.'' is deleted then the entire application will be destroyed. The windows are destroyed in order, and if an error occurs in destroying a window the command aborts without destroying the remaining windows. No error is returned if window does not exist.

### EXAMPLE

Destroy all checkbuttons that are direct children of the given widget:

    proc killCheckbuttonChildren {parent} {
       foreach w [winfo children $parent] {
          if {[winfo class $w] eq "Checkbutton"} {
             destroy $w
          }
       }
    }

### KEYWORDS

application, destroy, window

    Copyright © 1990 The Regents of the University of California.
    Copyright © 1994-1996 Sun Microsystems, Inc.
    Copyright © 1995-1997 Roger E. Critchlow Jr.